Invoices
Create or update a draft invoice
Creates (or updates) a draft invoice for a contract and billing period. Generates subscription / minimum charges and attaches any unbilled usage.
AuthorizationBearer <token>
API key as Bearer token: Authorization: Bearer luc_live_.... Create keys in the dashboard under Settings > API Keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/billing/invoices/project" \ -H "Content-Type: application/json" \ -d '{ "external_contract_id": "uibt-csa", "billing_period_start": "2026-08-01", "billing_period_end": "2026-08-31" }'{ "object": "invoice", "number": "C2C-2026-0001", "contract": "uibt-csa", "status": "draft", "is_new": true, "total": 0, "currency": "string", "billing_period": { "start": "string", "end": "string" }}Empty
{ "error": "Missing API key"}Empty
List invoices GET
Returns a paginated list of invoices, newest first. Filter by contract, status, or billing period date range.
Get invoice detail GET
Retrieve a single invoice with its line items. Line items are computed from rated charges and include subscription fees, one-time fees, and usage charges.